/* Copyright (c) 2002 Michael Wolf.  All rights reserved.
 *
 * This file is part of moodns.
 *
 * moodns is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * moodns is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with moodns; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* $Header: /cvsroot/moodns/moodns/src/protocol-rr.h,v 1.2 2002/07/20 17:02:37 mawolf Exp $  */

/* Do not attempt to include this file directly.  */

#ifndef PROTOCOL_RR_H
#define PROTOCOL_RR_H

int packet_add_answer_from_data(packet *, const u8 *, int, const u8 *);
int packet_add_authoritive_from_data(packet *, const u8 *, int, const u8 *);
int packet_add_additional_from_data(packet *, const u8 *, int, const u8 *);

byte_array *packet_convert_answer_to_data(packet *, int, int *, ht *);
byte_array *packet_convert_authoritive_to_data(packet *, int, int *, ht *);
byte_array *packet_convert_additional_to_data(packet *, int, int *, ht *);

#endif
