/* Copyright (c) 2001 Michael Wolf.  All rights reserved. 

This file is part of moodns.

moodns is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version. 

moodns is distributed in the hope that it will be useful,  
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with moodns; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
  

#ifndef CACHE_H
#define CACHE_H

#include "record.h"

struct cache;
typedef struct cache cache;

cache *cache_init(void);
struct record_chain *cache_check(cache *, char *, enum record_type);
int cache_put(cache *, record *);
int cache_put_record_chain(cache *, struct record_chain *);
#define DEFAULT_MAX_SIZE 4096

cache *cache_init_st(void);
struct record_chain *cache_check_st(cache *, char *, enum record_type);
int cache_put_st(cache *, record *);
int cache_put_record_chain_st(cache *, struct record_chain *);

#endif
