/* Copyright (c) 2001, 2002 Omar Kilani, Michael Wolf.  All rights reserved.  
 *
 * This file is part of moodns.
 *
 * moodns is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. 
 *
 * moodns is distributed in the hope that it will be useful,  
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with moodns; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* $Header: /cvsroot/moodns/moodns/src/query.h,v 1.1 2002/02/21 05:29:45 mawolf Exp $  */

/* Generalised query sending.  */

#ifndef QUERY_H
#define QUERY_H

#include "protocol.h"

/* Send a query with a timeout.  */
packet *query_send(packet *, u32, u16, int);
packet *query_send_char(packet *, char *, u16, int);

#endif
